cryptsetup (2:2.8.7-1ubuntu1) stonking; urgency=medium

  * Merge with Debian unstable (LP: #2163661). Remaining changes:
    - d/tests/utils/mkinitramfs: Support zstd compressed modules for self test
    - d/rules: Compile-in support for a FIPS mode. LP #2032659
    - d/control: Recommend plymouth
    - d/control: Move cryptsetup-initramfs back to cryptsetup Recommends,
      preferring dracut
    - d/{control,rules}: Disable building cryptsetup-suspend on i386
    - d/initramfs/cryptroot-unlock: Fix busybox/narrow compat LP #1968636
    - d/tests: Fix autopkgtests
      + d/tests/utils/mkinitramfs: Prevent linking attempt if file exists
      + d/tests/utils/cryptroot-common: Handle Ubuntu kernel package split
        (linux-image + linux-modules) when extracting the kernel
    - d/{functions,initramfs/hooks/cryptroot}: Fix ZFS root warning/error
      + d/functions: Return an empty devno for ZFS devices as they don't have
        major:minor device numbers.
      + d/initramfs/hooks/cryptroot: Ignore and don't print an error message
        when devices don't have a devno.
    - d/p/{no-dd-direct-flags-tmpfs,series}: Disable O_DIRECT on tmpfs
    - d/p/test-use-gnudd-as-workaround-in-luks2-reencryption-mangle.patch:
      use gnudd as workaround in luks2-reencryption-mangle-test failing
      with rust-coreutils dd (see
      https://bugs.launchpad.net/ubuntu/+source/rust-coreutils/+bug/2143933)
  * Dropped changes, included in Debian:
    - askpass: Fix FTBFS with glibc 2.43 (in 2:2.8.6-1)
    - d/tests/control: Add cpio autopkgtest dependency (in 2:2.8.6-2)
    - d/p/tests-Fix-tests-to-not-use-aes-generic-kernel-cipher-name.patch:
      applied upstream (in 2:2.8.7-1)
    - d/p/Add-specific-error-for-failed-posix_fallocate-call.patch:
      applied upstream (in 2:2.8.7-1)
  * Dropped changes, no longer needed:
    - d/control: Depend on busybox-initramfs instead of busybox |
      busybox-static (reverted in 2:2.8.4-1ubuntu5, matching Debian)

 -- Anshul Singh <anshul.singh@canonical.com>  Mon, 17 Aug 2026 21:59:32 +0900

cryptsetup (2:2.8.7-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 22 Jul 2026 01:53:08 +0200

cryptsetup (2:2.8.7~rc2-1) experimental; urgency=medium

  * New upstream release candidate. (Closes: #1141257)
  * d/rules: Adjust blhc's ignore-line-regexp.
  * cryptsetup-suspend-wrapper: Replace `find … -execdir {}` call with a shell
    loop. (Closes: #1141157)
  * Refresh d/patches.
  * d/t/cryptroot-*: Install mount in the guests.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 13 Jul 2026 16:47:12 +0200

cryptsetup (2:2.8.7~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop d/patches/* applied upstream.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 30 Jun 2026 12:24:18 +0200

cryptsetup (2:2.8.6-2) unstable; urgency=medium

  * Backport upstream changes to fix FTBFS with recent jq(1). The jq upstream
    fix for CVE-2026-33948 breaks cryptsetup's test suite. (Closes: #1135390)
  * Update Standards-Version to 4.7.4 (no changes necessary).
  * d/t/cryptroot-*: Add "Depends: cpio".

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 03 May 2026 15:26:25 +0200

cryptsetup (2:2.8.6-1) unstable; urgency=medium

  * New upstream bugfix release.
  * askpass: Fix FTBFS with glibc 2.43. (Closes: #1128538)
  * d/control: Replace B-D: libselinux1-dev with libselinux-dev.
  * d/t/cryptroot-*: Account for the linux-image package split.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 02 Apr 2026 20:39:12 +0200

cryptsetup (2:2.8.4-1ubuntu6) stonking; urgency=medium

  * No-change rebuild against libssl4

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Fri, 24 Jul 2026 07:56:08 +0000

cryptsetup (2:2.8.4-1ubuntu5) stonking; urgency=medium

  * Depend on busybox | busybox-static instead of busybox-initramfs
    (LP: #2157328)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 17 Jul 2026 12:23:57 +0200

cryptsetup (2:2.8.4-1ubuntu4) resolute; urgency=medium

  * Cherry-pick fixes from upstream:
    - tests: Fix tests to not use aes-generic kernel cipher name
    - Add specific error for failed posix_fallocate call.
  * test: use gnudd as workaround in luks2-reencryption-mangle-test
    (LP: #2143933)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 11 Mar 2026 18:58:47 +0100

cryptsetup (2:2.8.4-1ubuntu3) resolute; urgency=medium

  * askpass: Fix FTBFS with glibc 2.43. (Closes: #1128538, LP: #2142888)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 11 Mar 2026 11:53:16 +0100

cryptsetup (2:2.8.4-1ubuntu2) resolute; urgency=medium

  * cryptsetup: recommend dracut over cryptsetup-initramfs (LP: #2142775)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 10 Mar 2026 12:24:16 +0100

cryptsetup (2:2.8.4-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130707). Remaining changes:
    - d/tests/utils/mkinitramfs: Support zstd compressed modules for self test
    - d/rules: Compile-in support for a FIPS mode. LP #2032659
    - d/control: Recommend plymouth
    - d/control: Depend on busybox-initramfs instead of busybox |
      busybox-static.
    - d/control: Move cryptsetup-initramfs back to cryptsetup Recommends
    - d/{control,rules}: Disable building cryptsetup-suspend on i386
    - d/initramfs/cryptroot-unlock: Fix busybox/narrow compat LP #1968636
    - d/tests: Fix autopkgtests
    - d/{functions,initramfs/hooks/cryptroot}: Fix ZFS root warning/error
      + d/functions: Return an empty devno for ZFS devices as they don't have
        major:minor device numbers.
      + d/initramfs/hooks/cryptroot: Ignore and don't print an error message
        when devices don't have a devno.
  * d/p/{no-dd-direct-flags-tmpfs,series}: Disable O_DIRECT on tmpfs
  * d/tests/utils/mkinitramfs: Prevent linking attempt if file exists
  * d/tests/control: Add cpio autopkgtest dependency

 -- Max Gilmour <max.gilmour@canonical.com>  Mon, 09 Feb 2026 09:56:46 -0800

cryptsetup (2:2.8.4-1) unstable; urgency=medium

  * New upstream bugfix release.

  [ Guilhem Moulin ]
  * d/t/cryptroot-*: Use default QEMU machine type and lower host CPU count
    threshold for >1 vCPU guests.  This might fix #1123760.
  * d/t/cryptroot-*: Load `md_mod` kernel module before calling mdadm(8).
  * d/t/cryptroot-*: Explicitly install initramfs-tools as extra package.
  * DEP-8: Add `Depends: initramfs-tools-core` for initramfs-hook and
    initramfs-hook-legacy.
  * DEP-8: Temporarily disable cryptroot-nested test.
  * Update Standards-Version to 4.7.3.
    + Remove "Priority: optional" which is the current default and spelling it
      out is no longer recommended per Policy.

  [ Huey Chen ]
  * Fix typo in cryptsetup-suspend-wrapper. (Closes: #1123990)

  [ Yangfl ]
  * Add Chinese debconf templates translations. (Closes: #1124408)

  [ Paul Richards ]
  * Add support for `tcrypt-system` crypttab(5) option. (Closes: #1037973)

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 27 Jan 2026 17:27:23 +0100

cryptsetup (2:2.8.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 19 Dec 2025 15:53:17 +0100

cryptsetup (2:2.8.2-1) unstable; urgency=medium

  * New upstream bugfix release.
  * d/t/cryptdisks: Add calls to `udevadm settle`.
  * d/control: Remove `Rules-Requires-Root: no`.
  * d/watch: Port to Version 5.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 18 Dec 2025 22:04:25 +0100

cryptsetup (2:2.8.1-2) unstable; urgency=medium

  * Exclude `reencryption-compat-test` from Makefile.localtest.
    (Closes: #1122539)

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 11 Dec 2025 23:29:35 +0100

cryptsetup (2:2.8.1-1) unstable; urgency=medium

  * New upstream release.
  * DEP-8: Don't skip TPM trusted upstream tests.  This adds `Depends:
    swtpm, swtpm-tools, tpm2-tools` to the upstream testsuite autopkgtest.
  * DEP-8: Don't skip upstream's systemd plugin tests.  This adds `Depends:
    systemd-cryptsetup` to the upstream testsuite autopkgtest.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 19 Aug 2025 13:38:37 +0200

cryptsetup (2:2.8.0-3) unstable; urgency=medium

  [ Nuri KÜÇÜKLER ]
  * Add Turkish debconf templates translation.

  [ Luca Boccassi ]
  * DEP-8: Remove 80-systemd-osc-context.sh bash profile drop-in from
    cryptroot-* test images in order to fix compatibility with systemd v258.
    (Closes: #1110818)

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 13 Aug 2025 13:38:32 +0200

cryptsetup (2:2.8.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 09 Aug 2025 22:21:31 +0200

cryptsetup (2:2.8.0-1ubuntu3) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:25:37 +0100

cryptsetup (2:2.8.0-1ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 03 Sep 2025 15:13:13 +0000

cryptsetup (2:2.8.0-1ubuntu1) questing; urgency=medium

  * Merge with Debian experimental. (LP: #2116736) Remaining changes:
    - Support zstd compressed modules for the self test.
    - Compile-in support for a FIPS mode. LP #2032659
    - debian/{control,rules}:
      + Recommend plymouth.
      + Depend on busybox-initramfs instead of busybox | busybox-static.
      + Move cryptsetup-initramfs back to cryptsetup's Recommends.
      + Do not build cryptsetup-suspend binary package on i386.
    - Fix cryptroot-unlock for busybox compatibility.
    - Fix warning and error when running on ZFS on root
      + d/functions: Return an empty devno for ZFS devices as they don't have
        major:minor device numbers.
      + d/initramfs/hooks/cryptroot: Ignore and don't print an error message
        when devices don't have a devno.
    - Fix cryptroot-unlock behavior on narrow terminals (LP #1968636)
    - Fix autopkgtests

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 25 Jul 2025 14:17:58 +0100

cryptsetup (2:2.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 24 Jun 2025 11:40:36 +0200

cryptsetup (2:2.8.0~rc1-1) experimental; urgency=low

  * New upstream release candidate.
  * Drop d/patches/* applied upstream.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 16 Jun 2025 15:44:19 +0200

cryptsetup (2:2.8.0~rc0-1) experimental; urgency=low

  * New upstream release candidate 2.8.0, with support for inline mode (use HW
    sectors with additional hardware metadata space).
  * DEP-8: Add Depends: e2fsprogs.
  * d/libcryptsetup12.symbols: Add new symbols.
  * Adjust d/copyright.
  * DEP-8: Build libcrypto_backend.la and crypto-check before running the
    upstream test suite.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 12 Jun 2025 19:00:45 +0200

cryptsetup (2:2.7.5-2ubuntu2) questing; urgency=medium

  * Fix autopkgtest

 -- Mate Kukri <mate.kukri@canonical.com>  Thu, 17 Jul 2025 14:02:28 +0100

cryptsetup (2:2.7.5-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2163661). Remaining changes:
    - Support zstd compressed modules for the self test.
    - Compile-in support for a FIPS mode. LP #2032659
    - debian/{control,rules}:
      + Recommend plymouth.
      + Depend on busybox-initramfs instead of busybox | busybox-static.
      + Move cryptsetup-initramfs back to cryptsetup's Recommends.
      + Do not build cryptsetup-suspend binary package on i386.
    - Fix cryptroot-unlock for busybox compatibility.
    - Fix warning and error when running on ZFS on root
      + d/functions: Return an empty devno for ZFS devices as they don't have
        major:minor device numbers.
      + d/initramfs/hooks/cryptroot: Ignore and don't print an error message
        when devices don't have a devno.
    - Fix cryptroot-unlock behavior on narrow terminals (LP #1968636)

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 11 Jul 2025 14:25:05 +0100

cryptsetup (2:2.7.5-2) unstable; urgency=medium

  [ Christoph Anton Mitterer ]
  * d/README.Debian: Minor improvements.
  * d/README.Debian: Document when during the initramfs devices are mapped.
  * d/README.Debian: Change initrd to initramfs.

  [ Stephen Gildea ]
  * initramfs hook: Improve the "Source mismatch" error message when
    /etc/crypttab gives a source device that does not match the current
    source.

  [ Guilhem Moulin ]
  * DEP-8: No longer mark cryptroot-* as flaky and only run them on amd64, see
    https://bugs.debian.org/1073052#50.
  * Fix d/t/initramfs-hook and d/t/initramfs-hook-legacy with initramfs-tools
    ≥0.146. (Closes: #1099818)
  * cryptsetup-suspend-wrapper, DEP-8: Don't hardcode unmkinitramfs destdir.
  * d/t/cryptroot-*: Pass --bitmap=internal to mdadm(8).
  * decrypt_gnupg: Drop obsolete option --secret-keyring. (Closes: #1099760)
  * initramfs hook: Add vmx_crypto module. (Closes: #1087271)
  * d/copyright: Replace FSF's old postal address with an URL.
  * Update Standards-Version to 4.7.2 (no changes necessary).
  * Boot script: Fix prereq() logic between directories. (Closes: #1081552)

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation. (Closes: #1101115)

  [ Vladimir Petko ]
  * Fix cryptroot-* autopkgtests on Ubuntu. (Closes: #1031198)

  [ Nicolas Melot ]
  * initramfs: Process crypttab entries with the 'initramfs' option first and
    preserve their order. (Closes: #1055024)

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 04 May 2025 21:55:13 +0200

cryptsetup (2:2.7.5-1ubuntu2) plucky; urgency=medium

  * Fix mismerge of autopkgtest changes

 -- Mate Kukri <mate.kukri@canonical.com>  Tue, 18 Feb 2025 15:09:18 +0000

cryptsetup (2:2.7.5-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2163661). Remaining changes:
    - Support zstd compressed modules for the self test.
    - Compile-in support for a FIPS mode. LP #2032659
    - debian/{control,rules}:
      + Recommend plymouth.
      + Depend on busybox-initramfs instead of busybox | busybox-static.
      + Move cryptsetup-initramfs back to cryptsetup's Recommends.
      + Do not build cryptsetup-suspend binary package on i386.
    - Fix cryptroot-unlock for busybox compatibility.
    - Fix warning and error when running on ZFS on root
      + d/functions: Return an empty devno for ZFS devices as they don't have
        major:minor device numbers.
      + d/initramfs/hooks/cryptroot: Ignore and don't print an error message
        when devices don't have a devno.
    - Fix cryptroot-* autopkgtests on Ubuntu. (LP #1983522)
      + debian/tests/utils/mock.pm: return from consume() function if select()
        times out or fails
      + debian/tests/utils/cryptroot-common: fix apt source and kernel package
        names for Ubuntu
      + debian/tests/cryptroot-sysvinit.d: use systemd-sysv init for Ubuntu
        cryptroot-sysvinit package test
      + debian/tests/cryptroot-nested.d: fix cryptsetup-nested test, add
        workaround for LP1831747 by adding a e2fsprogs dependency
      + debian/tests/initramfs-hook: fix test's initramfs layout for Ubuntu and
        allow aes+ripemd160 test to use 64Mb of provisioned space (drop --size)
      + debian/tests/control: disable cryptdisks test
    - Fix cryptroot-unlock behavior on narrow terminals (LP #1968636)

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 14 Feb 2025 10:51:10 +0000

cryptsetup (2:2.7.5-1) unstable; urgency=medium

  * New bugfix upstream release.
  * d/t/cryptroot-*: Always install login(1) inside the guest to fix DEP-8
    tests.
  * d/t/utils/mock.pm: Fix login().
  * initramfs hook: Don't let ripemd160 trigger copying legacy.so into the
    initramfs image.  Since OpenSSL 3.0.7 RIPEMD160 is in both legacy and
    default providers.
  * Adjust build-deps and DEP-8 tests to account for OpenSSL legacy provider
    being shipped in its own package.
  * DEP-8: Fix d/t/initramfs-hook-legacy.
  * crypttab(5): Don't claim that ‘noauto’ is not supported by systemd.
    (Closes: #1071602)

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 03 Sep 2024 12:23:09 +0200

cryptsetup (2:2.7.4-1) unstable; urgency=medium

  [ Guilhem Moulin ]
  * New bugfix upstream release.
  * d/functions: Silently ignore crypttab(5) option x-initrd.attach.
    (Closes: #1072058)
  * DEP-8: Mark cryptroot-* as flaky.  To be re-evaluated if/when the
    tests only run on environment where KVM is available. (Closes: #1073052)
  * d/t/cryptroot-lvm.d/preinst: Add x-initrd.attach crypttab(5) option.
  * initramfs: local-bottom: Call `dmsetup remove --deferred` on the root FS
    holders.  Thanks to Luca Boccassi for the suggestion.
  * d/t/cryptroot-*: Always install passwd(1) inside the guest.

  [ Benjamin Drung ]
  * initramfs hook: Combine calls to manual_add_modules (LP: #2065180)

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 04 Aug 2024 22:59:09 +0200

cryptsetup (2:2.7.2-2ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2163661). Remaining changes:
    - Support zstd compressed modules for the self test.
    - Compile-in support for a FIPS mode. LP #2032659
    - debian/control:
      + Recommend plymouth.
      + Depend on busybox-initramfs instead of busybox | busybox-static.
      + Move cryptsetup-initramfs back to cryptsetup's Recommends.
      + Do not build cryptsetup-suspend binary package on i386.
    - Fix cryptroot-unlock for busybox compatibility.
    - Fix warning and error when running on ZFS on root
      + d/functions: Return an empty devno for ZFS devices as they don't have
        major:minor device numbers.
      + d/initramfs/hooks/cryptroot: Ignore and don't print an error message
        when devices don't have a devno.
    - Fix cryptroot-* autopkgtests on Ubuntu. (LP #1983522)
      + debian/tests/utils/mock.pm: return from consume() function if select()
        times out or fails
      + debian/tests/utils/cryptroot-common: fix apt source and kernel package
        names for Ubuntu
      + debian/tests/cryptroot-sysvinit.d: use systemd-sysv init for Ubuntu
        cryptroot-sysvinit package test
      + debian/tests/cryptroot-nested.d: fix cryptsetup-nested test, add
        workaround for LP1831747 by adding a e2fsprogs dependency
      + debian/tests/initramfs-hook: fix test's initramfs layout for Ubuntu and
        allow blowfish test use 64Mb of provisioned space (drop --size)
      + debian/tests/control: disable cryptdisks test
    - initramfs hook: Combine calls to manual_add_modules (LP #2065180)
    - Fix cryptroot-unlock behavior on narrow terminals (LP #1968636)

 -- Mate Kukri <mate.kukri@canonical.com>  Mon, 15 Jul 2024 09:39:31 +0100

cryptsetup (2:2.7.2-2) unstable; urgency=medium

  * Update standards version to 4.7.0, no changes needed.
  * d/crontrol: cryptsetup-initramfs: Add Breaks: libcryptsetup12 (<<
    2:2.7.2-1) since the hook assumes libcryptsetup.so.12 is not linked with
    libargon2.so. (Closes: #1068849)
  * d/t/utils/mkinitramfs: Remove obsolete copy_libgcc() call.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 15 Apr 2024 00:51:12 +0200

cryptsetup (2:2.7.2-1) unstable; urgency=medium

  * New bugfix upstream release.
    + Fix various issues with OPAL devices.
  * Use OpenSSL's own argon2 implementation rather than libargon2.  This drops
    libargon2 from (Build-)Depends and bumps the minimum required OpenSSL
    version to 3.2.
  * d/control: cryptsetup Depends: Bump minimum cryptsetup-bin version to
    2:2.7.2-1 as the wrapper no longer contain workarounds for libargon2 and
    libgcc_s.
  * d/copyright: Update licensing information to reflect upstream's
    relicensing of its FAQ and an older miscellaneous script.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 09 Apr 2024 15:18:49 +0200

cryptsetup (2:2.7.1-1) unstable; urgency=medium

  * New bugfix upstream release.

  [ Guilhem Moulin ]
  * d/functions: get_mnt_devno(): Speed up execution time on large
    /proc/mounts.
  * d/t/cryptroot-*: Fix DEP-8 tests when the kernel .deb installs modules in
    /usr/lib/modules not /lib/modules, such as
    linux-image-6.6.15-686-pae_6.6.15-2_i386.deb.
  * d/cryptsetup.lintian-overrides: Remove unused overrides.

  [ Helmut Grohne ]
  * /lib/cryptsetup/askpass: Coordinated move to /usr for DEP17
    (Closes: #1060270)

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 09 Mar 2024 23:05:42 +0100

cryptsetup (2:2.7.0-1ubuntu6) oracular; urgency=medium

  [ Adam Vodopjan ]
  * Fix cryptroot-unlock behavior on narrow terminals (LP: #1968636)

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 11 Jun 2024 13:19:25 -0600

cryptsetup (2:2.7.0-1ubuntu5) oracular; urgency=medium

  * initramfs hook: Combine calls to manual_add_modules (LP: #2065180)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 24 May 2024 09:48:09 +0200

cryptsetup (2:2.7.0-1ubuntu4) noble; urgency=high

  * No change rebuild against libssl3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:37:57 +0200

cryptsetup (2:2.7.0-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:30:59 +0000

cryptsetup (2:2.7.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:36:38 +0000

cryptsetup (2:2.7.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Support zstd compressed modules for the self test.
    - Compile-in support for a FIPS mode. LP #2032659
    - debian/control:
      + Recommend plymouth.
      + Depend on busybox-initramfs instead of busybox | busybox-static.
      + Move cryptsetup-initramfs back to cryptsetup's Recommends.
      + Do not build cryptsetup-suspend binary package on i386.
    - Fix cryptroot-unlock for busybox compatibility.
    - Fix warning and error when running on ZFS on root
      + d/functions: Return an empty devno for ZFS devices as they don't have
        major:minor device numbers.
      + d/initramfs/hooks/cryptroot: Ignore and don't print an error message
        when devices don't have a devno.
    - Fix cryptroot-* autopkgtests on Ubuntu. (LP #1983522)
      + debian/tests/utils/mock.pm: return from consume() function if select()
        times out or fails
      + debian/tests/utils/cryptroot-common: fix apt source and kernel package
        names for Ubuntu
      + debian/tests/cryptroot-sysvinit.d: use systemd-sysv init for Ubuntu
        cryptroot-sysvinit package test
      + debian/tests/cryptroot-nested.d: fix cryptsetup-nested test, add
        workaround for LP1831747 by adding a e2fsprogs dependency
      + debian/tests/initramfs-hook: fix test's initramfs layout for Ubuntu and
        allow blowfish test use 64Mb of provisioned space (drop --size)
      + debian/tests/control: disable cryptdisks test

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Feb 2024 14:13:21 +0100

cryptsetup (2:2.7.0-1) unstable; urgency=medium

  * Upload to unstable.
  * Revert "d/gbp.conf: Set ‘debian-branch = debian/experimental’."
  * Revert "Use OpenSSL's own argon2 implementation" (since sid doesn't have
    OpenSSL 3.2 yet).
  * Revert "d/control: cryptsetup Depends: Bump minimum cryptsetup-bin version
    to 2.7~."
  * Revert "d/cryptsetup.lintian-overrides: Ignore ‘conflicts-with-version
    cryptsetup-nuke-password’."
  * Revert "d/cryptsetup.lintian-overrides: Remove unused overrides."
  * Revert "/lib/cryptsetup/askpass: coordinated move to /usr for DEP17"

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 26 Feb 2024 12:50:46 +0100

cryptsetup (2:2.7.0-1+exp) experimental; urgency=medium

  * New upstream release.

  [ Guilhem Moulin ]
  * d/control: cryptsetup Depends: Bump minimum cryptsetup-bin version to 2.7~.
  * d/control: Build-Depends: Replace pkg-config with pkgconf.
  * d/cryptsetup-suspend.lintian-overrides: Remove alien tag.
  * d/cryptsetup.lintian-overrides: Remove unused overrides.
  * d/cryptsetup.lintian-overrides: Add override ‘conflicts-with-version
    cryptsetup-nuke-password’.
  * d/t/cryptroot-*: Fix DEP-8 tests with QEMU 8.2.

  [ Helmut Grohne ]
  * /lib/cryptsetup/askpass: coordinated move to /usr for DEP17.
    (Closes: #1060270)

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 26 Feb 2024 11:57:19 +0100

cryptsetup (2:2.7.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * d/gbp.conf: Set ‘debian-branch = debian/experimental’.
  * Add new DEP-8 test to check crypto backend flags.  (And whether system
    libargon2 is used.)
  * Use OpenSSL's own argon2 implementation rather than libargon2.  This drops
    libargon2 from (Build-)Depends and bumps the minimum required OpenSSL
    version to 3.2.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 20 Dec 2023 18:28:36 +0100

cryptsetup (2:2.7.0~rc0-2) experimental; urgency=medium

  Rebuild for experimental.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 05 Dec 2023 21:11:42 +0100

cryptsetup (2:2.6.1-6ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2163661). Remaining changes:
    - Support zstd compressed modules for the self test.
    - Compile-in support for a FIPS mode. LP #2032659
    - debian/control:
      + Recommend plymouth.
      + Depend on busybox-initramfs instead of busybox | busybox-static.
      + Move cryptsetup-initramfs back to cryptsetup's Recommends.
      + Do not build cryptsetup-suspend binary package on i386.
    - Fix cryptroot-unlock for busybox compatibility.
    - Fix warning and error when running on ZFS on root
      + d/functions: Return an empty devno for ZFS devices as they don't have
        major:minor device numbers.
      + d/initramfs/hooks/cryptroot: Ignore and don't print an error message
        when devices don't have a devno.
    - Fix cryptroot-* autopkgtests on Ubuntu. (LP #1983522)
      + debian/tests/utils/mock.pm: return from consume() function if select()
        times out or fails
      + debian/tests/utils/cryptroot-common: fix apt source and kernel package
        names for Ubuntu
      + debian/tests/cryptroot-sysvinit.d: use systemd-sysv init for Ubuntu
        cryptroot-sysvinit package test
      + debian/tests/cryptroot-nested.d: fix cryptsetup-nested test, add
        workaround for LP1831747 by adding a e2fsprogs dependency
      + debian/tests/initramfs-hook: fix test's initramfs layout for Ubuntu and
        allow blowfish test use 64Mb of provisioned space (drop --size)
      + debian/tests/control: disable cryptdisks test

 -- Mate Kukri <mate.kukri@canonical.com>  Wed, 03 Jan 2024 10:38:16 +0000

cryptsetup (2:2.6.1-6) unstable; urgency=medium

  [ Kevin Locke ]
  * cryptsetup-initramfs: Add support for compressed kernel modules.
    (Closes: #1036049, #1057441)

  [ Guilhem Moulin ]
  * d/tests: Replace `passwd --delete` with `busybox passwd -d`.
  * add_modules(): Change suffix drop logic to match initramfs-tools.
  * Fix DEP-8 tests with kernels shipping compressed modules.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 05 Dec 2023 17:48:58 +0100

cryptsetup (2:2.7.0~rc0-1) experimental; urgency=medium

  * New upstream release candidate 2.7.0:
    + Add support for (opt-in) hardware OPAL disk encryption.
    + plain mode: Set default cipher to aes-xts-plain64 and password hashing
      to sha256.  This is a backward incompatible change for plain mode when
      relying on the defaults.  It doesn't affect LUKS volumes.  Defaults for
      plain mode should not be relied upon anyway; for many releases the
      Debian wrappers found in the ‘cryptsetup’ binary package spew a loud
      warning when ‘cipher=’ or ‘hash=’ are not explicitly specified in the
      crypttab(5) options of plain devices.  The cryptsetup(8) executable now
      issue such a warning as well.
    + Allow activation (open), luksResume, and luksAddKey to use the volume
      key stored in a keyring.
    + Allow one to store volume key to a user-specified keyring in open and
      luksResume commands.
  * Update d/libcryptsetup12.symbols.
  * Remove d/patches applied upstream.
  * Update debian/* to reflect current cipher and hash for plain mode.
  * d/tests: Replace `passwd --delete` with `busybox passwd -d`.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 29 Nov 2023 17:19:10 +0100

cryptsetup (2:2.6.1-5ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2163661). Remaining changes:
    - Support zstd compressed modules for the self test.
    - Compile-in support for a FIPS mode. LP #2032659
    - debian/control:
      + Recommend plymouth.
      + Depend on busybox-initramfs instead of busybox | busybox-static.
      + Move cryptsetup-initramfs back to cryptsetup's Recommends.
      + Do not build cryptsetup-suspend binary package on i386.
    - Fix cryptroot-unlock for busybox compatibility.
    - Fix warning and error when running on ZFS on root
      + d/functions: Return an empty devno for ZFS devices as they don't have
        major:minor device numbers.
      + d/initramfs/hooks/cryptroot: Ignore and don't print an error message
        when devices don't have a devno.
    - Fix cryptroot-* autopkgtests on Ubuntu. (LP #1983522)
      + debian/tests/utils/mock.pm: return from consume() function if select()
        times out or fails
      + debian/tests/utils/cryptroot-common: fix apt source and kernel package
        names for Ubuntu
      + debian/tests/cryptroot-sysvinit.d: use systemd-sysv init for Ubuntu
        cryptroot-sysvinit package test
      + debian/tests/cryptroot-nested.d: fix cryptsetup-nested test, add
        workaround for LP1831747 by adding a e2fsprogs dependency
      + debian/tests/initramfs-hook: fix test's initramfs layout for Ubuntu and
        allow blowfish test use 64Mb of provisioned space (drop --size)
      + debian/tests/control: disable cryptdisks test

 -- Mate Kukri <mate.kukri@canonical.com>  Mon, 20 Nov 2023 09:50:25 +0000

cryptsetup (2:2.6.1-5) unstable; urgency=medium

  [ Guilhem Moulin ]
  * d/control: Drop cryptsetup-run transitional binary package.
    (Closes: #1038285)

  [ Michael Biebl ]
  * cryptsetup-suspend-wrapper: Don't error out on missing
    /lib/systemd/system-sleep directory, which was removed from the systemd
    package. (Closes: #1050606)

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 27 Aug 2023 12:24:57 +0200

cryptsetup (2:2.6.1-4ubuntu3) mantic; urgency=medium

  * Support zstd compressed modules for the self test.

 -- Andrea Righi <andrea.righi@canonical.com>  Mon, 11 Sep 2023 15:05:35 +0000

cryptsetup (2:2.6.1-4ubuntu2) mantic; urgency=medium

  * Compile-in support for a FIPS mode. LP: #2032659

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 22 Aug 2023 16:06:53 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libcryptsetup12`.
